ObjectRecognitionParameters Struct Reference

`#include </build/pcl-rK6aXX/pcl-1.12.1+dfsg/doc/tutorials/content/sources/iccv2011/include/object_recognition.h>`

## Public Attributes

float | min_depth
float | max_depth
float | downsample_leaf_size
float | outlier_rejection_radius
int | outlier_rejection_min_neighbors
float | plane_inlier_distance_threshold
int | max_ransac_iterations
float | cluster_tolerance
int | min_cluster_size
int | max_cluster_size
float | surface_normal_radius
float | keypoints_min_scale
float | keypoints_nr_octaves
float | keypoints_nr_scales_per_octave
float | keypoints_min_contrast
float | local_descriptor_radius
float | initial_alignment_min_sample_distance
float | initial_alignment_max_correspondence_distance
int | initial_alignment_nr_iterations
float | icp_max_correspondence_distance
float | icp_outlier_rejection_threshold
float | icp_transformation_epsilon
int | icp_max_iterations

## Detailed Description

Definition at line 14 of file object_recognition.h.

## Member Data Documentation

## cluster_tolerance

float ObjectRecognitionParameters::cluster_tolerance

Definition at line 26 of file object_recognition.h.

Referenced by ObjectRecognition::applyFiltersAndSegment().

## downsample_leaf_size

float ObjectRecognitionParameters::downsample_leaf_size

Definition at line 19 of file object_recognition.h.

Referenced by ObjectRecognition::applyFiltersAndSegment().

## icp_max_correspondence_distance

float ObjectRecognitionParameters::icp_max_correspondence_distance

Definition at line 42 of file object_recognition.h.

Referenced by ObjectRecognition::alignModelPoints().

## icp_max_iterations

int ObjectRecognitionParameters::icp_max_iterations

Definition at line 45 of file object_recognition.h.

Referenced by ObjectRecognition::alignModelPoints().

## icp_outlier_rejection_threshold

float ObjectRecognitionParameters::icp_outlier_rejection_threshold

Definition at line 43 of file object_recognition.h.

Referenced by ObjectRecognition::alignModelPoints().

## icp_transformation_epsilon

float ObjectRecognitionParameters::icp_transformation_epsilon

Definition at line 44 of file object_recognition.h.

Referenced by ObjectRecognition::alignModelPoints().

## initial_alignment_max_correspondence_distance

float ObjectRecognitionParameters::initial_alignment_max_correspondence_distance

Definition at line 40 of file object_recognition.h.

Referenced by ObjectRecognition::alignModelPoints().

## initial_alignment_min_sample_distance

float ObjectRecognitionParameters::initial_alignment_min_sample_distance

Definition at line 39 of file object_recognition.h.

Referenced by ObjectRecognition::alignModelPoints().

## initial_alignment_nr_iterations

int ObjectRecognitionParameters::initial_alignment_nr_iterations

Definition at line 41 of file object_recognition.h.

Referenced by ObjectRecognition::alignModelPoints().

## keypoints_min_contrast

float ObjectRecognitionParameters::keypoints_min_contrast

Definition at line 35 of file object_recognition.h.

Referenced by ObjectRecognition::estimateFeatures().

## keypoints_min_scale

float ObjectRecognitionParameters::keypoints_min_scale

Definition at line 32 of file object_recognition.h.

Referenced by ObjectRecognition::estimateFeatures().

## keypoints_nr_octaves

float ObjectRecognitionParameters::keypoints_nr_octaves

Definition at line 33 of file object_recognition.h.

Referenced by ObjectRecognition::estimateFeatures().

## keypoints_nr_scales_per_octave

float ObjectRecognitionParameters::keypoints_nr_scales_per_octave

Definition at line 34 of file object_recognition.h.

Referenced by ObjectRecognition::estimateFeatures().

## local_descriptor_radius

float ObjectRecognitionParameters::local_descriptor_radius

Definition at line 36 of file object_recognition.h.

Referenced by ObjectRecognition::estimateFeatures().

## max_cluster_size

int ObjectRecognitionParameters::max_cluster_size

Definition at line 28 of file object_recognition.h.

Referenced by ObjectRecognition::applyFiltersAndSegment().

## max_depth

float ObjectRecognitionParameters::max_depth

Definition at line 18 of file object_recognition.h.

Referenced by ObjectRecognition::applyFiltersAndSegment().

## max_ransac_iterations

int ObjectRecognitionParameters::max_ransac_iterations

Definition at line 25 of file object_recognition.h.

Referenced by ObjectRecognition::applyFiltersAndSegment().

## min_cluster_size

int ObjectRecognitionParameters::min_cluster_size

Definition at line 27 of file object_recognition.h.

Referenced by ObjectRecognition::applyFiltersAndSegment().

## min_depth

float ObjectRecognitionParameters::min_depth

Definition at line 17 of file object_recognition.h.

Referenced by ObjectRecognition::applyFiltersAndSegment().

## outlier_rejection_min_neighbors

int ObjectRecognitionParameters::outlier_rejection_min_neighbors

Definition at line 21 of file object_recognition.h.

Referenced by ObjectRecognition::applyFiltersAndSegment().

## outlier_rejection_radius

float ObjectRecognitionParameters::outlier_rejection_radius

Definition at line 20 of file object_recognition.h.

Referenced by ObjectRecognition::applyFiltersAndSegment().

## plane_inlier_distance_threshold

float ObjectRecognitionParameters::plane_inlier_distance_threshold

Definition at line 24 of file object_recognition.h.

Referenced by ObjectRecognition::applyFiltersAndSegment().

## surface_normal_radius

float ObjectRecognitionParameters::surface_normal_radius

Definition at line 31 of file object_recognition.h.

Referenced by ObjectRecognition::estimateFeatures().

The documentation for this struct was generated from the following file:

- /build/pcl-rK6aXX/pcl-1.12.1+dfsg/doc/tutorials/content/sources/iccv2011/include/object_recognition.h